Skip to navigation

List Fees

Get all fees for an order.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Ordersmodifystore_v2_orders
Ordersread-onlystore_v2_orders_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

order_idintegerRequired
ID of the order.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Response

OK
idintegerOptional
The unique numeric identifier of the fees object.
typeenumOptional
The type of the fee.
Allowed values:
display_name_customerstringOptional
The display name of the fee targeting customers.
display_name_merchantstringOptional
The display name of the fee targeting shoppers.
sourcestringOptional
The source of the request.
base_coststring or doubleOptional

The base fee cost value. (Float, Float-As-String, Integer)

cost_ex_taxstring or doubleOptional

The fee cost value excluding tax. (Float, Float-As-String, Integer)

cost_inc_taxstring or doubleOptional

The fee cost value including tax. (Float, Float-As-String, Integer)

cost_taxstring or doubleOptional

The tax amount on the fee cost. (Float, Float-As-String, Integer)

tax_class_idinteger or nullOptional
A unique numeric identifier for the tax class. If not persisted or null, the default fee tax class from the control panel is used.

Errors

404
Not Found Error